Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-ac-nobuild
index 443431d..bbe3998 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name.
 # Remaining arguments are additional configure options.
 
@@ -11,22 +13,16 @@ PACKAGE=${1}
 shift
 CONFIGURE_OPTS=${*}
 
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
 # Applying patches (if any)
-apply_patches ${PACKAGE} &&
+apply_patches ${PACKAGE}
 
-cd ${LFS_TMP}/${PACKAGE} &&
+cd ${LFS_TMP}/${PACKAGE}
 ./configure \
     --prefix=/usr \
     --sysconfdir=/etc \
-    ${CONFIGURE_OPTS} &&
-make &&
-make install &&
+    ${CONFIGURE_OPTS}
+make
+make install
 ldconfig
 
-# Return last error
 exit $?